Skip to main content
GET
/
api
/
kb
/
collections
/
{collection_name}
/
parses
/
{doc_id}
/
parse_result
Get Parse Result Api
curl --request GET \
  --url https://api.example.com/api/kb/collections/{collection_name}/parses/{doc_id}/parse_result \
  --header 'Authorization: Bearer <token>'
{
  "doc_id": "<string>",
  "parse_hash": "<string>",
  "pagination": {},
  "elements": [
    {
      "text": "<string>",
      "type": "text",
      "metadata": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.xagent.run/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

collection_name
string
required
doc_id
string
required

Query Parameters

page
integer
default:1

Page number (1-indexed)

Required range: x >= 1
page_size
integer
default:20

Number of elements per page

Required range: 1 <= x <= 100
parse_hash
string | null

Optional parse hash to filter. If None, uses the latest parse.

Response

Successful Response

Response model for displaying parse results with pagination.

doc_id
string
required

The document ID

parse_hash
string
required

SHA256 hash of parse configuration

pagination
Pagination · object
required

Pagination information including page, page_size, total counts

elements
(ParsedTextSegmentDisplay · object | ParsedTableDisplay · object | ParsedFigureDisplay · object)[]

Ordered list of parsed elements

Display model for a parsed text segment.